gdjs.Main_32menuCode = {};
gdjs.Main_32menuCode.localVariables = [];
gdjs.Main_32menuCode.idToCallbackMap = new Map();
gdjs.Main_32menuCode.GDBackgroundObjects1= [];
gdjs.Main_32menuCode.GDBackgroundObjects2= [];
gdjs.Main_32menuCode.GDWhiteSleekButtonObjects1= [];
gdjs.Main_32menuCode.GDWhiteSleekButtonObjects2= [];
gdjs.Main_32menuCode.GDCloudsObjects1= [];
gdjs.Main_32menuCode.GDCloudsObjects2= [];
gdjs.Main_32menuCode.GDFlyObjects1= [];
gdjs.Main_32menuCode.GDFlyObjects2= [];


gdjs.Main_32menuCode.eventsList0 = function(runtimeScene) {

{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("Background"), gdjs.Main_32menuCode.GDBackgroundObjects1);
{gdjs.evtTools.camera.setCameraZoom(runtimeScene, 1.5, "", 0);
}
{gdjs.evtTools.camera.centerCamera(runtimeScene, (gdjs.Main_32menuCode.GDBackgroundObjects1.length !== 0 ? gdjs.Main_32menuCode.GDBackgroundObjects1[0] : null), true, "", 0);
}
elseEventsChainSatisfied = true;
}

}


{

gdjs.copyArray(runtimeScene.getObjects("WhiteSleekButton"), gdjs.Main_32menuCode.GDWhiteSleekButtonObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Main_32menuCode.GDWhiteSleekButtonObjects1.length;i<l;++i) {
    if ( gdjs.Main_32menuCode.GDWhiteSleekButtonObjects1[i].IsClicked(null) ) {
        isConditionTrue_0 = true;
        gdjs.Main_32menuCode.GDWhiteSleekButtonObjects1[k] = gdjs.Main_32menuCode.GDWhiteSleekButtonObjects1[i];
        ++k;
    }
}
gdjs.Main_32menuCode.GDWhiteSleekButtonObjects1.length = k;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.replaceScene(runtimeScene, "Choose character", true);
}
elseEventsChainSatisfied = true;
}

}


};

gdjs.Main_32menuCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.Main_32menuCode.GDBackgroundObjects1.length = 0;
gdjs.Main_32menuCode.GDBackgroundObjects2.length = 0;
gdjs.Main_32menuCode.GDWhiteSleekButtonObjects1.length = 0;
gdjs.Main_32menuCode.GDWhiteSleekButtonObjects2.length = 0;
gdjs.Main_32menuCode.GDCloudsObjects1.length = 0;
gdjs.Main_32menuCode.GDCloudsObjects2.length = 0;
gdjs.Main_32menuCode.GDFlyObjects1.length = 0;
gdjs.Main_32menuCode.GDFlyObjects2.length = 0;

gdjs.Main_32menuCode.eventsList0(runtimeScene);
gdjs.Main_32menuCode.GDBackgroundObjects1.length = 0;
gdjs.Main_32menuCode.GDBackgroundObjects2.length = 0;
gdjs.Main_32menuCode.GDWhiteSleekButtonObjects1.length = 0;
gdjs.Main_32menuCode.GDWhiteSleekButtonObjects2.length = 0;
gdjs.Main_32menuCode.GDCloudsObjects1.length = 0;
gdjs.Main_32menuCode.GDCloudsObjects2.length = 0;
gdjs.Main_32menuCode.GDFlyObjects1.length = 0;
gdjs.Main_32menuCode.GDFlyObjects2.length = 0;


return;

}

gdjs['Main_32menuCode'] = gdjs.Main_32menuCode;
